Bug 1461821 - broken link to help - after adding of virtualization entitlement
broken link to help - after adding of virtualization entitlement
Status: MODIFIED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
580
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On:
Blocks: sat58-nth
  Show dependency treegraph
 
Reported: 2017-06-15 07:55 EDT by Martin Korbel
Modified: 2018-05-25 05:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch removing refs to jsp-docs (2.02 KB, patch)
2018-03-28 14:58 EDT, Grant Gainey
no flags Details | Diff

  None (edit)
Description Martin Korbel 2017-06-15 07:55:33 EDT
Description of problem:
We get information bar with broken link to help, when we add a virtualization entitlement.


Version-Release number of selected component (if applicable):
100%

How reproducible:
spacewalk-backend-2.5.3-143.el6sat.  (Satellite-5.8-RHEL-6-20170613)

Steps to Reproduce:
1. Open some profile of physical machine.
2. Add "Virtualization" or "Virtualization Platform" enitlement
3. after save the changes, we get this info bar
"Since you added a Virtualization entitlement to the system we also performed some extra steps to ensure your system will be able to manage virtual guests better. See here for more info.". Where the world "here" is link to doc.
4. Click to link "here" (https://<fqdn>rhn/help/reference/en-US/ch-virtualization.jsp)

Actual results:
Page not found

Expected results:
The link will works

Additional info:
Comment 1 Grant Gainey 2018-03-28 14:58 EDT
Created attachment 1414362 [details]
Patch removing refs to jsp-docs

Removing the entitlement-model from Spacewalk makes this impossible to trigger there - and while there is code in spacewalk-java that can be removed due to it supporting entitlements that no longer exist, that should prob be its own effort.

Attaching a patch with the fix for this in 5.8 instead.

Note You need to log in before you can comment on or make changes to this bug.